Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Class ShippingMethodValue

    java.lang.Object
      com.beasys.commerce.foundation.SmartValue
          com.beasys.commerce.ebusiness.shipping.ShippingMethodValue

All Implemented Interfaces
  Serializable

Deprecated

    @Deprecated
    public class ShippingMethodValue

extends SmartValue

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculations.

See Also
  Serialized Form

Field Summary
`int` | `averageShippingTime` Deprecated The average delivery time.
`String` | `carrier` Deprecated The service provider used for delivery.
`String` | `costCalculationMechanism` Deprecated Used to specify one of the pre-programmed shipping cost calculation mechanisms.
`String` | `description` Deprecated A textual description of this shipping mechanism.
`String` | `identifier` Deprecated A key that uniquely identifies this shipping method.
`boolean` | `internationalDelivery` Deprecated True if this mechanism will deliver internationally.
`String` | `method` Deprecated The mechanism by which the item will be shipped.
`String` | `packagingType` Deprecated The packaging type.
`double` | `percentage` Deprecated Used when the shipping cost is a percentage of the total value of the order.
`boolean` | `poBoxAllowed` Deprecated True if this mechanism will allow delivery to a post office box.
`Money` | `price` Deprecated The base shipping cost.
`String` | `restrictions` Deprecated A description of any restrictions that apply to this shipping mechanism.
`boolean` | `saturdayDelivery` Deprecated True if ths shipping mechanism will deliver on a Saturday.
`boolean` | `signatureRequired` Deprecated True if the customer is required to acknowledge delivery with a signature.
`double` | `sizeLimit` Deprecated The maximum deliverable quantity.
`double` | `weightLimit` Deprecated The maximum weight limit for this shipping mechanism.

Constructor Summary
`protected` | `ShippingMethodValue()` Deprecated Only get/setShippingMethodByValue methods are allowed to call this constructor.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  Deprecated
  A key that uniquely identifies this shipping method.

### sizeLimit

    public double sizeLimit

  Deprecated
  The maximum deliverable quantity.

### description

    public String description

  Deprecated
  A textual description of this shipping mechanism.

### signatureRequired

    public boolean signatureRequired

  Deprecated
  True if the customer is required to acknowledge delivery with a signature.

### weightLimit

    public double weightLimit

  Deprecated
  The maximum weight limit for this shipping mechanism.

### percentage

    public double percentage

  Deprecated
  Used when the shipping cost is a percentage of the total value of the order.

### poBoxAllowed

    public boolean poBoxAllowed

  Deprecated
  True if this mechanism will allow delivery to a post office box.

### restrictions

    public String restrictions

  Deprecated
  A description of any restrictions that apply to this shipping mechanism.

### averageShippingTime

    public int averageShippingTime

  Deprecated
  The average delivery time.

### carrier

    public String carrier

  Deprecated
  The service provider used for delivery.

### saturdayDelivery

    public boolean saturdayDelivery

  Deprecated
  True if ths shipping mechanism will deliver on a Saturday.

### price

    public Money price

  Deprecated
  The base shipping cost.

### packagingType

    public String packagingType

  Deprecated
  The packaging type.

### costCalculationMechanism

    public String costCalculationMechanism

  Deprecated
  Used to specify one of the pre-programmed shipping cost calculation mechanisms.
  - Policy:Uses the Shipping Cost Calculation Policy to determine the total cost.
  - FlatRate: A single flat rate price is returned as specified in the price field.
  - PerItem: The count of items in the order is multiplied by the price field to determine the shipping cost.
  - Percentage: The total cost of the order is multiplied by the percenate specified to determine the cost.

### method

    public String method

  Deprecated
  The mechanism by which the item will be shipped. These include Air, Ship, Truck, etc..

### internationalDelivery

    public boolean internationalDelivery

  Deprecated
  True if this mechanism will deliver internationally.

Constructor Detail

### ShippingMethodValue

    protected ShippingMethodValue()

  Deprecated
  Only get/setShippingMethodByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.